package nlib.util;

import egovframework.com.cmm.EgovWebUtil;
import egovframework.com.utl.fcc.service.EgovStringUtil;

/**
 * <pre>
 * @Class Name : FileUtil.java
 * 
 * @Description : 파일 처리관련 유틸리티 기능 모음 클래스 
 * 
 * 
 * @프로젝트명: 지방문화원 통합자료관리시스템 구축사업 (2021)
 *
 * </pre>
 *
 * @ ------------    --------    ---------------------------
 * @ 수정일                     수정자             수정내용
 * @ ------------    --------    ---------------------------
 * @ 2021. 7. 16.    KNKIM       최초 생성
 *
 * 
 * @author 이씨플라자 * DIGITALSHIP KNKIM
 * @since 2021. 7. 16.
 * @version 1.0
 *
 */
public class FileUtil extends EgovStringUtil {

	/**
	 * 경로나 파일명으로 적합한지를 판단한다. 
	 * 
	 * @param path
	 * @return 적합한 경우, true 
	 */
	public static boolean isValid(String pathOrFilename) {
		if(pathOrFilename == null || pathOrFilename.trim().length() == 0) return false;
		
		if(pathOrFilename.contains("..")) return false;
		
		return true;
	}

	/**
	 * 경로나 파일명으로 적합한지를 판단한다. 
	 * 
	 * @param path
	 * @return 부적합한 경우, true 
	 */
	public static boolean isNotValid(String pathOrFilename) {
		return !isValid(pathOrFilename);
	}
	
	/**
	 * 파일 경로 문자열에서 보안 문제가 되는 문자를 제거하여 리턴한다.
	 * 
	 * @param path
	 * @return
	 */
	public static String filePathBlackList(String path) {
		return EgovWebUtil.filePathBlackList(path);
	}
}
